Bug 527039 - setroubleshoot: SELinux is preventing /usr/sbin/dovecot "getcap" access.
Summary: setroubleshoot: SELinux is preventing /usr/sbin/dovecot "getcap" access.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:cd74c95cf47...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-03 15:28 UTC by Matěj Cepl
Modified: 2018-04-11 14:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-05 13:19:23 UTC
Type: ---


Attachments (Terms of Use)

Description Matěj Cepl 2009-10-03 15:28:14 UTC
The following was filed automatically by setroubleshoot:

Souhrn:

SELinux is preventing /usr/sbin/dovecot "getcap" access.

Podrobný popis:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by dovecot. It is not expected that this access
is required by dovecot and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                system_u:system_r:dovecot_t:s0
Kontext cíle                 system_u:system_r:dovecot_t:s0
Objekty cíle                 None [ process ]
Zdroj                         dovecot
Cesta zdroje                  /usr/sbin/dovecot
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          dovecot-1.2.5-2.fc12
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.6.32-12.fc12
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Permissive
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux (removed) 2.6.31.1-56.fc12.x86_64 #1 SMP Tue
                              Sep 29 16:16:22 EDT 2009 x86_64 x86_64
Počet upozornění           5
Poprvé viděno               Čt 1. říjen 2009, 12:39:11 CEST
Naposledy viděno             So 3. říjen 2009, 17:23:00 CEST
Místní ID                   e2f6af5c-f9ec-4781-9898-7ef56398366f
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1254583380.775:8): avc:  denied  { getcap } for  pid=1673 comm="dovecot" scontext=system_u:system_r:dovecot_t:s0 tcontext=system_u:system_r:dovecot_t:s0 tclass=process

node=(removed) type=SYSCALL msg=audit(1254583380.775:8): arch=c000003e syscall=125 success=no exit=-14 a0=1083aa4 a1=0 a2=3162d7be80 a3=24 items=0 ppid=1671 pid=1673 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dovecot" exe="/usr/sbin/dovecot" subj=system_u:system_r:dovecot_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-12.fc12,catchall,dovecot,dovecot_t,dovecot_t,process,getcap
audit2allow suggests:

#============= dovecot_t ==============
allow dovecot_t self:process getcap;

Comment 1 Daniel Walsh 2009-10-05 13:19:23 UTC
Fixed in selinux-policy-3.6.32-21.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.